'use strict';

const bhttp = require("bhttp");
const Promise = require("bluebird");

const extractGarbage = require("./lib/extract-garbage");

return Promise.try(() => {
	return bhttp.get(process.argv[2]);
}).then((response) => {
	let snippets = extractGarbage(response.body.toString());

	console.log(snippets.map(snippet => snippet.garbage).join(""));
});
